# $Revision: 1.4 $, $Date: 2001/12/11 15:33:29 $
Summary:	External bounce-message translator/formatter for qmail
Summary(pl):	Zewntrzny translator/formater odbitych wiadomoci dla qmaila
Name:		qmail-superbounce
Version:	0.95
Release:	2
License:	GPL
Group:		Networking/Daemons
Group(de):	Netzwerkwesen/Server
Group(pl):	Sieciowe/Serwery
Source0:	%{name}-%{version}.tar.gz
Requires:	qmail >= 1.03-38
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an external bouncer for qmail. It can pack the bounced message
int MIME attachment, tranlasate it to recipient's language, and change
the Date: field to localtime. All of these are configuration options.

%description -l pl
To jest zewntrzny bouncer dla qmaila. Moe zapakowa odbit wiadomo
w zacznik MIME, przetumaczy j na jzyk odbiorcy, zmieni pole
Date: na czas lokalny. Wszystko to ustawia si w konfiguracji.

%prep
%setup -q

%build
%configure \
	--with-qmail-queue=%{_libdir}/qmail/qmail-queue \
	--with-controldir=%{_sysconfdir}/qmail/control

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR="$RPM_BUILD_ROOT"

echo "superbounce" > $RPM_BUILD_ROOT%{_sysconfdir}/qmail/control/extbouncer
install -d $RPM_BUILD_ROOT%{_sysconfdir}/qmail/alias/
echo "|%{_sbindir}/qmail-superbounce" > $RPM_BUILD_ROOT%{_sysconfdir}/qmail/alias/.qmail-superbounce

gzip -9nf README NEWS ChangeLog

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /var/lock/subsys/qmail ]; then
	/etc/rc.d/init.d/qmail restart
fi

%postun
if [ -f /var/lock/subsys/qmail ]; then
	/etc/rc.d/init.d/qmail restart
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_sbindir}/*
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/qmail/control/*
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/qmail/alias/.qmail-superbounce

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached on <cvs_login>@pld.org.pl

$Log: qmail-superbounce.spec,v $
Revision 1.4  2001/12/11 15:33:29  qboosh
- pl translations, cosmetics; release 2

Revision 1.3  2001/09/30 09:49:52  jajcus
- Version: 0.95

Revision 1.2  2001/04/20 09:43:18  kloczek
- cosmetics.

Revision 1.1  2001/04/19 16:32:27  jajcus
- External bouncer / bounce message translator for qmail
